Bug 21845 - Sort of issues in OPAC subscription table
Summary: Sort of issues in OPAC subscription table
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Serials (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 11976
Blocks:
  Show dependency treegraph
 
Reported: 2018-11-15 19:02 UTC by Marjorie Barry-Vila
Modified: 2019-05-27 12:27 UTC (History)
10 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
subscription table (87.81 KB, image/png)
2018-11-15 19:02 UTC, Marjorie Barry-Vila
Details
Bug 21845: Sort of issues in OPAC subscription table (1.16 KB, patch)
2019-01-24 16:20 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21845: Sort of issues in OPAC subscription table (1.23 KB, patch)
2019-01-25 19:47 UTC, Mikaël Olangcay Brisebois
Details | Diff | Splinter Review
Bug 21845: Sort of issues in OPAC subscription table (1.29 KB, patch)
2019-02-16 08:53 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marjorie Barry-Vila 2018-11-15 19:02:43 UTC
Created attachment 82374 [details]
subscription table

Hi,
With patch 11976, subscription table display is in column settings in the administration. Default sort of issues is now ascending while in previous versions default sorting was descending on the last received issues.

Can a system preference be added to configure sorting on subscription table?

It makes more sense to see the last issue at the top of the table.

Regards,

Marjorie
Comment 1 Owen Leonard 2019-01-24 16:11:40 UTC
It looks to me like the sorting of the table changed arbitrarily--DataTables sorts by the first column by default if no sorting option is set. This overrode the sorting of the data passed by the script (publisheddate). So, a regression of sorts. heh.
Comment 2 Owen Leonard 2019-01-24 16:20:09 UTC
Created attachment 84360 [details] [review]
Bug 21845: Sort of issues in OPAC subscription table

This patch adds a default sort option to the table of subscriptions on
the OPAC detail page. This sorting option matches the sort of data
passed from GetLatestSerials.

To test, apply the patch and locate a subscription in the OPAC which has
multiple issues. They should be sorted by default on publication date.
Comment 3 Mikaël Olangcay Brisebois 2019-01-25 19:47:35 UTC
Created attachment 84429 [details] [review]
Bug 21845: Sort of issues in OPAC subscription table

This patch adds a default sort option to the table of subscriptions on
the OPAC detail page. This sorting option matches the sort of data
passed from GetLatestSerials.

To test, apply the patch and locate a subscription in the OPAC which has
multiple issues. They should be sorted by default on publication date.

Signed-off-by: mikael <mikael.Olangcay-Brisebois@inlibro.com>
Comment 4 Jonathan Druart 2019-02-15 12:23:47 UTC
Mikaël, it seems that you forgot to change the status to "Signed Off".
Comment 5 Katrin Fischer 2019-02-16 08:53:08 UTC
Created attachment 85206 [details] [review]
Bug 21845: Sort of issues in OPAC subscription table

This patch adds a default sort option to the table of subscriptions on
the OPAC detail page. This sorting option matches the sort of data
passed from GetLatestSerials.

To test, apply the patch and locate a subscription in the OPAC which has
multiple issues. They should be sorted by default on publication date.

Signed-off-by: mikael <mikael.Olangcay-Brisebois@inlibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Katrin Fischer 2019-02-16 08:54:04 UTC
This restores the former behavior with the newest issue on top of the list. It could be a little irritating if the column for date published is hidden with the column settings, as it appears it will still sort on the hidden column.
Comment 7 Nick Clemens 2019-02-19 14:02:08 UTC
Awesome work all!

Pushed to master for 19.05
Comment 8 Martin Renvoize 2019-02-25 18:49:12 UTC
Pushed to 18.11.x for 18.11.04
Comment 9 Lucas Gass 2019-03-06 17:25:40 UTC
backported to 18.05.x for 18.05.11